Bug 91041 - (USB IRQ_ROUTING)USB mouse does not work in 2.4.20-13 kernel on ABIT Motherboard
(USB IRQ_ROUTING)USB mouse does not work in 2.4.20-13 kernel on ABIT Motherboard
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-16 14:51 EDT by Robert P. Thurstans
Modified: 2007-04-18 12:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. Thurstans 2003-05-16 14:51:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.3) Gecko/20030314

Description of problem:
Here are the relavent parts of the /var/log/message file:
(40 lines)
hutong:/var/log# cat messages.usb 
May 15 14:15:06 hutong kernel: usb.c: registered new driver usbdevfs
May 15 14:15:06 hutong kernel: usb.c: registered new driver hub
May 15 14:15:06 hutong kernel: usb-uhci.c: $Revision: 1.275 $ time 10:53:33 May
12 2003
May 15 14:15:06 hutong kernel: usb-uhci.c: High bandwidth mode enabled
May 15 14:15:06 hutong kernel: usb-uhci.c: USB UHCI at I/O 0xc400, IRQ 19
May 15 14:15:06 hutong kernel: usb-uhci.c: Detected 2 ports
May 15 14:15:06 hutong kernel: usb.c: new USB bus registered, assigned bus number 1
May 15 14:15:07 hutong kernel: hub.c: USB hub found
May 15 14:15:07 hutong kernel: hub.c: 2 ports detected
May 15 14:15:07 hutong kernel: usb-uhci.c: USB UHCI at I/O 0xc800, IRQ 19
May 15 14:15:07 hutong kernel: usb-uhci.c: Detected 2 ports
May 15 14:15:07 hutong kernel: usb.c: new USB bus registered, assigned bus number 2
May 15 14:15:07 hutong kernel: hub.c: USB hub found
May 15 14:15:07 hutong kernel: hub.c: 2 ports detected
May 15 14:15:07 hutong kernel: usb-uhci.c: v1.275:USB Universal Host Controller
Interface driver
May 15 14:15:07 hutong kernel: usb.c: registered new driver hiddev
May 15 14:15:07 hutong kernel: usb.c: registered new driver hid
May 15 14:15:07 hutong kernel: hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik
<vojtech@suse.cz>
May 15 14:15:07 hutong kernel: hid-core.c: USB HID support drivers
May 15 14:15:07 hutong kernel: mice: PS/2 mouse device common for all mice
May 15 14:15:07 hutong kernel: hub.c: new USB device 00:07.3-1, assigned address 2

May 15 14:15:07 hutong kernel: usb_control/bulk_msg: timeout

May 15 14:15:07 hutong kernel: usb.c: USB device not accepting new address=2
(error=-110)
May 15 14:15:07 hutong kernel: hub.c: new USB device 00:07.3-1, assigned address 3
May 15 14:15:07 hutong kernel: usb_control/bulk_msg: timeout
May 15 14:15:07 hutong kernel: usb.c: USB device not accepting new address=3
(error=-110)

May 15 14:56:28 hutong kernel: hub.c: new USB device 00:07.2-2, assigned address 2
May 15 14:56:41 hutong kernel: input0: USB HID v1.10 Mouse [Logitech USB
Receiver] on usb1:2.0
May 15 14:56:41 hutong automount[10947]: expired /nas/users
May 15 14:56:44 hutong kernel: usb_control/bulk_msg: timeout
May 15 14:56:46 hutong last message repeated 15 times
May 15 14:56:46 hutong /etc/hotplug/usb.agent: Setup hid for USB product
46d/c501/900
May 15 14:56:46 hutong kernel: usb_control/bulk_msg: timeout
May 15 14:56:49 hutong last message repeated 20 times
May 15 14:56:49 hutong /etc/hotplug/usb.agent: Setup mousedev for USB product
46d/c501/900
May 15 14:56:49 hutong kernel: usb_control/bulk_msg: timeout
May 15 14:56:52 hutong last message repeated 27 times


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install the new kernel on a computer with an ABIT VP6 dual motherboard with a
Logitech USB wireless mouse
2. Try to use the mouse
3.
    

Actual Results:  The mouse didn't work

Expected Results:  the mouse should have worked

Additional info:

I can not do a necessary security upgrade if the mouse does not work
on a desktop machine.
Comment 1 Robert P. Thurstans 2003-05-25 14:49:44 EDT
This is a kernel issue for the ABIT VP6 motherboard that was introduced in 
patch-2.4.21-pre6, a fix for a VIA chipset problem in fact breaks this
motherboard's USB.  Here is the patch that causes the problem.  Reversing it
allows me to rebuild the RedHat kernel to one that works again.

diff -urN linux-2.4.20/arch/i386/kernel/pci-irq.c linux-2.4.21-rc3mls/arch/i386/
kernel/pci-irq.c
--- linux-2.4.20/arch/i386/kernel/pci-irq.c     2003-05-23 09:55:17.000000000 -0
700
+++ linux-2.4.21-rc3mls/arch/i386/kernel/pci-irq.c      2003-05-22 13:34:54.0000
00000 -0700
@@ -802,9 +802,4 @@
                printk(KERN_WARNING "PCI: No IRQ known for interrupt pin %c of d
evice %s.%s\n",
                       'A' + pin - 1, dev->slot_name, msg);
        }
-       /* VIA bridges use interrupt line for apic/pci steering across
-          the V-Link */
-       else if (interrupt_line_quirk)
-               pci_write_config_byte(dev, PCI_INTERRUPT_LINE, dev->irq);
-
 }
Comment 2 Alan Cox 2003-05-26 14:31:45 EDT
Interesting. Most VIA require that and the docs confirm it. I'm not sure what
exactly is going on here
Comment 3 Pete Zaitcev 2003-06-05 15:46:55 EDT
See also bug 92338.
Comment 4 Robert P. Thurstans 2003-06-06 11:47:12 EDT
There is a work-around in the BIOS
 
Under "Advanced BIOS Features"

Make sure "MPS Version control for OS" is set to 1.1
if it is set to 1.4, you will have the problem.
Comment 5 Adam Browning 2003-07-07 20:22:36 EDT
Is there any update on this bug?  The newer kernels add some performance
increases I'd like to use, but I need USB!  I also have an Abit VP6 with dual
1GHz P3s.
Comment 6 Ian Pilcher 2003-08-02 19:19:13 EDT
Does the Severn kernel (2.4.21-20.1.2024.2.1.nptlsmp) solve this problem?
Comment 7 Dave Winges 2003-08-07 12:45:25 EDT
R. Thurstans MPS version BIOS work-around has solved the problem for me. 

I also ran into this problem on my ABIT VP6 w/Dual 800Mhz P3s. Had installed 
RH9 from CD (kernel 2.4.20-8smp) and my USB keyboard and mouse worked with no 
problems. Obtained the 13.9smp through 19.9smp kernels via RHN up2date. With 
each, USB would not work. Awaiting a true fix for this issue.
Comment 8 Bugzilla owner 2004-09-30 11:40:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.